package com.portlandwebworks.commons.dao;

/**
 * This software is the property of Portland Webworks.
 *
 * This annotation allows applying a single bean property value to multiple query criteria using an AND operator
 *
 * @Author rnorthup
 */
@java.lang.annotation.Retention(java.lang.annotation.RetentionPolicy.RUNTIME)
@java.lang.annotation.Target({java.lang.annotation.ElementType.FIELD, java.lang.annotation.ElementType.METHOD})
public @interface AllSearchCriteria
{
	public SearchCriterion[] value();
}
