/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.dao;

/**
 * This software is the property of Portland Webworks.
 *
 * This stereotype interface marks a class as a collection of search criteria.  Implementing this interface does not
 * provide any useful search functionality--it only indicates to the DAO that it contains fields which may be marked
 * with the @SearchCriterion annotation, which tells the DAO how to use each non-empty field in a database search.
 *
 * @Author rnorthup
 */
public interface SearchCriteria
{
	//TODO: is there any useful API that should be in this interface?
}