/*
 * Copyright 2010 Portland Webworks, Inc.
 *
 * This file is part of PWW Commons.
 *
 * PWW Commons is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any
 * later version.
 *
 * PWW Commons is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for
 * more details.
 *
 * You should have received a copy of the GNU Lesser General Public License along with PWW Commons.  If not, see
 * <http://www.gnu.org/licenses/>.
 */

package com.portlandwebworks.commons.liferay;

import com.portlandwebworks.commons.security.AuthenticationResult;

import java.util.List;

import org.apache.log4j.Logger;

import javax.portlet.PortletRequest;
import javax.servlet.http.HttpSession;


/**
 * Encapsulates functionality for retrieving a user account from liferay.
 *
 */
public class LiferaySecurityProvider// implements ISecurityProvider
{
	private static final String LIFERAY_USER_ID_KEY = "liferay.user.id";
	private static final String USER_SESSION_KEY = "LiferaySecurityContext.user";

	private Logger logger = Logger.getLogger(LiferaySecurityProvider.class);

	private HttpSession session;

	public void setSession(HttpSession session)
	{
		this.session = session;
	}

	PortletRequest request;


	public boolean isAuthenticated()
	{
//		return request.getAttribute(LIFERAY_USER_ID_KEY) != null;
		return false;
	}

/*
	public String getPrincipal()
	{
		User user = (User)session.getAttribute(USER_SESSION_KEY);
		if (user == null) {
			Long userId = (Long)request.getAttribute(LIFERAY_USER_ID_KEY);

			if (userId != null) {
				UserService service = UserServiceUtil.getService();
				try {
					user = service.getUserById(userId);

					session.setAttribute(USER_SESSION_KEY, user);

					return user;
				}
				catch (SystemException e) {
					logger.error("Unhandled exception getting authenticated portal user", e);
				}
				catch (PortalException e) {
					logger.error("Unhandled exception getting authenticated portal user", e);
				}
			}
		}

		return user;
	}
*/

	public List<String> getRoles()
	{
		return null;  //To change body of implemented methods use File | Settings | File Templates.
	}

	public boolean hasRole(String role)
	{
		return false;  //To change body of implemented methods use File | Settings | File Templates.
	}

	public AuthenticationResult authenticate(String login, String password)
	{
		return null;  //To change body of implemented methods use File | Settings | File Templates.
	}

}